version: "3"
networks:
  rede-pep:
    external:
      name: rede-pep
services:
  couchdb0:
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
        delay: 5s
        max_attempts: 3
      placement:
        constraints:
        - node.id == egy9ng63b235v3q4xcpo8w7dy
    hostname: couchdb0.pep.blockchain.com
    image: hyperledger/fabric-couchdb:latest
    networks:
      rede-pep:
        aliases:
        - couchdb0
    ports:
      - 5984:5984

  couchdb1:
    deploy:
      replicas: 1
      restart_policy:
        condition: on-failure
        delay: 5s
        max_attempts: 3
      placement:
        constraints:
        - node.id == egy9ng63b235v3q4xcpo8w7dy
    hostname: couchdb1.pep.blockchain.com
    image: hyperledger/fabric-couchdb:latest
    networks:
      rede-pep:
        aliases:
        - couchdb1
    ports:
      - 6984:5984
